package pxds.vazp

import com.test.basd.supercleanermax.R
import pxds.lmmd.zmwf.Khko.string

data class FileBean(
    var name: String = R.string.ށޓސހކ_D.string(), var path: String, val size: Long, val isDir: Boolean = false, val type: String = R.string.ށޓސހކ_D.string(), val time: Long = 0L, var isSelect: Boolean = false
) {
    fun isEmptyDir() = isDir

    fun isImage() = !isDir && type in listOf(R.string.ފޛޅޣޤ_D.string(), R.string.އޑޡލވ_D.string(), R.string.ޕޤލޛޑ_D.string())

    fun isVideo() = !isDir && type in listOf(R.string.ޠޖޚޅބ_D.string())

    fun isAudio() = !isDir && type in listOf(R.string.ޤޖޕސތ_D.string())

    fun isLargeFile() = !isDir && size >= 10 * 1024 * 1024

    fun isZip() = !isDir && type in listOf(R.string.ޤލމޙޢ_D.string(), R.string.ދބސޚޥ_D.string(), "7z")

    fun isApk() = !isDir && type in listOf(R.string.ޘގޖޙޢ_D.string())

    fun isDoc() = !isDir && type in listOf(R.string.ޣސޗޘޥ_D.string(), R.string.ޅޢޜޣޘ_D.string(), R.string.އބހޞޡ_D.string(), R.string.ފޒނޢޣ_D.string(), R.string.ބފޥލތ_D.string(), R.string.ޜވބރޞ_D.string())

    fun isOther() = !isImage() && !isVideo() && !isAudio() && !isZip() && !isApk()
    fun isJunk() = !isDir && type in listOf(R.string.ޏޑލޣޣ_D.string(), R.string.ޔކނމޥ_D.string(), R.string.ޏޗޒޡޡ_D.string())
    fun isOtherTrash() = !isDir && type in listOf(R.string.ޟޗޝޅޛ_D.string(), R.string.ޝޝވޖޢ_D.string(), R.string.ޒމއނކ_D.string(), R.string.ޖޑޅޥޕ_D.string(), R.string.ޥމޒކޅ_D.string(), R.string.ބޟސޞގ_D.string(), R.string.ޙޤނޖށ_D.string(), R.string.ޜޠޞރޕ_D.string(), R.string.ޓޚޥޠޔ_D.string(), R.string.ޝސޅޙޚ_D.string(), R.string.ތޒޅހޢ_D.string())
}